Bug 661777 - can't be rebuild in mock
Summary: can't be rebuild in mock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mod_auth_kerb
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Joe Orton
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-09 16:12 UTC by Levente Farkas
Modified: 2012-10-12 09:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Clone Of:
Environment:
Last Closed: 2012-06-20 14:04:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0877 normal SHIPPED_LIVE mod_auth_kerb bug fix and enhancement update 2012-06-19 20:47:44 UTC

Description Levente Farkas 2010-12-09 16:12:08 UTC
this package can't be rebuild in mock because  of this error:

checking gssapi.h usability... yes
checking gssapi.h presence... yes
checking for gssapi.h... yes
checking for krb5_init_context in -lkrb5... no
checking for krb5_init_context in -lkrb5... (cached) no
checking for krb5_init_context in -lkrb5... (cached) no
configure: error: No Kerberos enviroment found
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.71R0xu (%build)
    Macro % has illegal name (%define)
    Macro % has illegal name (%define)
    Bad exit status from /var/tmp/rpm-tmp.71R0xu (%build)
error: Macro % has illegal name (%define)

Comment 2 Levente Farkas 2010-12-21 16:23:47 UTC
modify configure to:
--with-krb5=%{_prefix}
will help as in fedora:-)

Comment 3 RHEL Program Management 2011-01-07 15:52:17 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 4 Joe Orton 2011-02-23 16:49:49 UTC
Thanks for the report.

Comment 6 RHEL Program Management 2011-07-06 00:25:38 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 11 Stephen Wadeley 2012-06-08 14:22:53 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No documentation needed.

Comment 13 errata-xmlrpc 2012-06-20 14:04:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0877.html


Note You need to log in before you can comment on or make changes to this bug.